Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::IMPText Class Reference

`#include <IMPText.h>`

## Public Member Functions
| IMPText (librevenge::RVNGInputStream *input, IMPCollector *collector)
bool | parse ()

## Private Member Functions
| IMPText (const IMPText &)
IMPText & | operator= (const IMPText &)
void | flushText ()

## Private Attributes
librevenge::RVNGInputStream *const | m_input
IMPCollector *const | m_collector
std::string | m_text
bool | m_openHeader
bool | m_openFooter

## Constructor & Destructor Documentation

## § IMPText() [1/2]

libebook::IMPText::IMPText | ( | const IMPText & |  | ) |
| private

## § IMPText() [2/2]

libebook::IMPText::IMPText | ( | librevenge::RVNGInputStream * | input,
|  | IMPCollector * | collector
| ) |  |

## Member Function Documentation

## § flushText()

void libebook::IMPText::flushText | ( |  | ) |
| private

## § operator=()

IMPText& libebook::IMPText::operator= | ( | const IMPText & |  | ) |
| private

## § parse()

bool libebook::IMPText::parse | ( |  | ) |

## Member Data Documentation

## § m_collector

IMPCollector* const libebook::IMPText::m_collector
| private

Referenced by flushText(), and parse().

## § m_input

librevenge::RVNGInputStream* const libebook::IMPText::m_input
| private

Referenced by parse().

## § m_openFooter

bool libebook::IMPText::m_openFooter
| private

Referenced by parse().

## § m_openHeader

bool libebook::IMPText::m_openHeader
| private

Referenced by parse().

## § m_text

std::string libebook::IMPText::m_text
| private

Referenced by flushText(), and parse().

The documentation for this class was generated from the following files:

- IMPText.h
- IMPText.cpp